#include "projet.h"

extern int newalgow_opened;
int newalgow_choice = TERR_MIDDISP;

void
on_cal_window_destroy (GtkObject * object, gpointer user_data)
{
  gtk_widget_destroy (GTK_WIDGET (user_data));
  newalgow_choice = TERR_MIDDISP;
  newalgow_opened = 0;
}


void
on_calw_valid_b_clicked (GtkObject * object, gpointer user_data)
{
  GtkWidget *paramw;
  int choice = newalgow_choice;
  
  gtk_widget_destroy (GTK_WIDGET (user_data));

  switch (choice) {
  case TERR_FLAT:
    break;
  case TERR_MIDDISP:
    paramw = create_middisp_window ();
    gtk_widget_show (paramw);
    break;
  case TERR_SPHERE:
    break;
  case TERR_HYPERB:
    paramw = create_hp_window ();
    gtk_widget_show (paramw);
    break;
  case TERR_DIAM:
    paramw = create_diamsquare_window ();
    gtk_widget_show (paramw);
    break;
  default:
    g_error ("Error: unknown algorithm\n");
    break;
  }

}

void
on_calw_diam_rb_released (GtkObject * object, gpointer user_data)
{
  newalgow_choice = TERR_DIAM;
}

void
on_calw_hyp_rb_released (GtkObject * object, gpointer user_data)
{
  newalgow_choice = TERR_HYPERB;
}

void
on_calw_midp_rb_released (GtkObject * object, gpointer user_data)
{
  newalgow_choice = TERR_MIDDISP;
}
